trimws {base} | R Documentation

## Remove Leading/Trailing Whitespace

### Description

Remove leading and/or trailing whitespace from character strings.

### Usage

    trimws(x, which = c("both", "left", "right"))

### Arguments

`x` | a character vector
`which` | a character string specifying whether to remove both leading and trailing whitespace (default), or only leading (`"left"`) or trailing (`"right"`). Can be abbreviated.

### Details

For portability, ‘whitespace’ is taken as the character class `[ \t\r\n]` (space, horizontal tab, line feed, carriage return).

### Examples

    x <- "  Some text. "
    x
    trimws(x)
    trimws(x, "l")
    trimws(x, "r")

[Package base version 3.4.2 Index]